Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90	(revision 9563)
@@ -150,4 +150,5 @@
 CONTAINS
    SUBROUTINE bdy_dyn( kt )      ! Empty routine
+      INTEGER, INTENT( in )           :: kt               ! Main time step counter
       WRITE(*,*) 'bdy_dyn: You should not have seen this print! error?', kt
    END SUBROUTINE bdy_dyn
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90	(revision 9563)
@@ -309,9 +309,11 @@
 CONTAINS
    SUBROUTINE bdy_dyn3d( kt )      ! Empty routine
-      WRITE(*,*) 'bdy_dyn3d: You should not have seen this print! error?', kt
+    INTEGER, INTENT( in ) :: kt     ! Main time step counter
+    WRITE(*,*) 'bdy_dyn3d: You should not have seen this print! error?', kt
    END SUBROUTINE bdy_dyn3d
 
    SUBROUTINE bdy_dyn3d_dmp( kt )      ! Empty routine
-      WRITE(*,*) 'bdy_dyn3d_dmp: You should not have seen this print! error?', kt
+    INTEGER, INTENT( in ) :: kt     ! Main time step counter
+    WRITE(*,*) 'bdy_dyn3d_dmp: You should not have seen this print! error?', kt
    END SUBROUTINE bdy_dyn3d_dmp
 
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 9563)
@@ -614,4 +614,6 @@
    END SUBROUTINE bdytide_init
    SUBROUTINE bdytide_update( kt, jit )   ! Empty routine
+      INTEGER, INTENT( in )            ::   kt          ! Main timestep counter
+      INTEGER,INTENT(in),OPTIONAL      ::   jit         ! Barotropic timestep counter (for timesplitting option)
       WRITE(*,*) 'bdytide_update: You should not have seen this print! error?', kt, jit
    END SUBROUTINE bdytide_update
@@ -620,5 +622,5 @@
       INTEGER, INTENT( in ),OPTIONAL   ::   kit         ! Dummy argument empty routine
       INTEGER, INTENT( in ),OPTIONAL   ::   time_offset ! Dummy argument empty routine
-      WRITE(*,*) 'bdy_dta_tides: You should not have seen this print! error?', kt, jit
+      WRITE(*,*) 'bdy_dta_tides: You should not have seen this print! error?', kt, kit
    END SUBROUTINE bdy_dta_tides
 #endif
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90	(revision 9563)
@@ -319,8 +319,10 @@
 CONTAINS
    SUBROUTINE bdy_tra(kt)      ! Empty routine
+      INTEGER, INTENT( in ) :: kt     ! Main time step counter   
       WRITE(*,*) 'bdy_tra: You should not have seen this print! error?', kt
    END SUBROUTINE bdy_tra
 
    SUBROUTINE bdy_tra_dmp(kt)      ! Empty routine
+      INTEGER, INTENT( in ) :: kt     ! Main time step counter   
       WRITE(*,*) 'bdy_tra_dmp: You should not have seen this print! error?', kt
    END SUBROUTINE bdy_tra_dmp
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 9563)
@@ -178,4 +178,5 @@
 CONTAINS
    SUBROUTINE bdy_vol( kt )        ! Empty routine
+      INTEGER, INTENT( in ) ::   kt   ! ocean time-step index
       WRITE(*,*) 'bdy_vol: You should not have seen this print! error?', kt
    END SUBROUTINE bdy_vol
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/C1D/dyncor_c1d.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/C1D/dyncor_c1d.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/C1D/dyncor_c1d.F90	(revision 9563)
@@ -118,4 +118,5 @@
    END SUBROUTINE cor_c1d   
    SUBROUTINE dyn_cor_c1d ( kt )      ! Empty routine
+      INTEGER, INTENT( in ) ::   kt   ! ocean time-step index   
       WRITE(*,*) 'dyn_cor_c1d: You should not have seen this print! error?', kt
    END SUBROUTINE dyn_cor_c1d
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/C1D/step_c1d.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/C1D/step_c1d.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/C1D/step_c1d.F90	(revision 9563)
@@ -165,6 +165,7 @@
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE stp_c1d ( kt )      ! dummy routine
-      WRITE(*,*) 'stp_c1d: You should not have seen this print! error?', kt
+   SUBROUTINE stp_c1d ( kstp )      ! dummy routine
+   INTEGER, INTENT(in) ::   kstp   ! ocean time-step index
+      WRITE(*,*) 'stp_c1d: You should not have seen this print! error?', kstp
    END SUBROUTINE stp_c1d
 #endif
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 9563)
@@ -1302,5 +1302,5 @@
 
    SUBROUTINE dia_dct_init          ! Dummy routine
-      WRITE(*,*) 'dia_dct_init: You should not have seen this print! error?', kt
+      WRITE(*,*) 'dia_dct_init: You should not have seen this print! error?'
    END SUBROUTINE dia_dct_init
 
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90	(revision 9563)
@@ -343,5 +343,6 @@
 CONTAINS
    SUBROUTINE dia_hth( kt )         ! Empty routine
-      WRITE(*,*) 'dia_hth: You should not have seen this print! error?', kt
+    INTEGER, INTENT( in ) ::   kt      ! ocean time-step index
+    WRITE(*,*) 'dia_hth: You should not have seen this print! error?', kt
    END SUBROUTINE dia_hth
 #endif
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_exp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 9563)
@@ -107,4 +107,5 @@
 CONTAINS
    SUBROUTINE dyn_spg_exp( kt )       ! Empty routine
+      INTEGER, INTENT(in)  ::   kt   ! ocean time-step index  
       WRITE(*,*) 'dyn_spg_exp: You should not have seen this print! error?', kt
    END SUBROUTINE dyn_spg_exp
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90	(revision 9563)
@@ -146,4 +146,5 @@
 CONTAINS
    SUBROUTINE flo_stp( kt )          ! Empty routine
+      INTEGER, INTENT( in  ) ::   kt   ! ocean time step   
       WRITE(*,*) 'flo_stp: You should not have seen this print! error?', kt
    END SUBROUTINE flo_stp
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_smag.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_smag.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_smag.F90	(revision 9563)
@@ -294,4 +294,5 @@
 CONTAINS
    SUBROUTINE ldf_dyn_smag( kt )       ! Empty routine
+      INTEGER :: kt                    ! timestep   
       WRITE(*,*) 'ldf_dyn_smag: You should not have seen this print! error? check keys ldf:c3d+smag', kt
    END SUBROUTINE ldf_dyn_smag
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_smag.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_smag.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_smag.F90	(revision 9563)
@@ -204,5 +204,6 @@
 CONTAINS
    SUBROUTINE ldf_tra_smag( kt )       ! Empty routine
-      WRITE(*,*) 'ldf_dyn_smag: You should not have seen this print! error? check keys ldf:c3d+smag', kt
+        INTEGER, INTENT( in ) ::   kt  ! ocean time-step inedx
+        WRITE(*,*) 'ldf_dyn_smag: You should not have seen this print! error? check keys ldf:c3d+smag', kt
    END SUBROUTINE ldf_tra_smag
 #endif
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 9563)
@@ -648,4 +648,6 @@
 CONTAINS
    SUBROUTINE sbc_ice_lim ( kt, kblk )     ! Dummy routine
+      INTEGER, INTENT(in) ::   kt      ! ocean time step
+      INTEGER, INTENT(in) ::   kblk    ! type of bulk (=3 CLIO, =4 CORE, =5 COUPLED)
       WRITE(*,*) 'sbc_ice_lim: You should not have seen this print! error?', kt, kblk
    END SUBROUTINE sbc_ice_lim
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 9563)
@@ -1234,4 +1234,5 @@
    END SUBROUTINE zdf_gls_init
    SUBROUTINE zdf_gls( kt )          ! Empty routine
+      INTEGER, INTENT(in) ::   kt ! ocean time step   
       WRITE(*,*) 'zdf_gls: You should not have seen this print! error?', kt
    END SUBROUTINE zdf_gls
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 9563)
@@ -1579,10 +1579,13 @@
    END SUBROUTINE zdf_kpp_init
    SUBROUTINE zdf_kpp( kt )          ! Dummy routine
+      INTEGER, INTENT( in  ) ::   kt   ! ocean time step
       WRITE(*,*) 'zdf_kpp: You should not have seen this print! error?', kt
    END SUBROUTINE zdf_kpp
    SUBROUTINE tra_kpp( kt )          ! Dummy routine
+      INTEGER, INTENT( in  ) ::   kt   ! ocean time step
       WRITE(*,*) 'tra_kpp: You should not have seen this print! error?', kt
    END SUBROUTINE tra_kpp
    SUBROUTINE trc_kpp( kt )          ! Dummy routine
+      INTEGER, INTENT( in  ) ::   kt   ! ocean time step
       WRITE(*,*) 'trc_kpp: You should not have seen this print! error?', kt
    END SUBROUTINE trc_kpp
Index: branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 9549)
+++ branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 9563)
@@ -309,4 +309,5 @@
    END SUBROUTINE zdf_ric_init
    SUBROUTINE zdf_ric( kt )        ! Dummy routine
+      INTEGER, INTENT( in ) ::   kt                           ! ocean time-step
       WRITE(*,*) 'zdf_ric: You should not have seen this print! error?', kt
    END SUBROUTINE zdf_ric