Index: branches/UKMO/dev_merge_2017_restart_datestamp_GO6_mixing/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/1_namelist_cfg
===================================================================
--- branches/UKMO/dev_merge_2017_restart_datestamp_GO6_mixing/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/1_namelist_cfg	(revision 9492)
+++ branches/UKMO/dev_merge_2017_restart_datestamp_GO6_mixing/NEMOGCM/CONFIG/AGRIF_NORDIC/EXP00/1_namelist_cfg	(revision 9568)
@@ -10,6 +10,6 @@
 !!   namdom       space and time domain
 !!   namcfg       parameters of the configuration                       (default: user defined GYRE)
-!!   namwad       Wetting and drying                                    (default NO)
-!!   namtsd       data: temperature & salinity                          (default NO)
+!!   namwad       Wetting and drying                                    (default: OFF)
+!!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
 !!======================================================================
@@ -38,5 +38,5 @@
 /
 !-----------------------------------------------------------------------
-&namtsd        !    Temperature & Salinity Data                         (default: NO)
+&namtsd        !    Temperature & Salinity Data                         (default: OFF)
 !-----------------------------------------------------------------------
    !  with AGRIF ("key_agrif") child are initialized with parent values
@@ -85,14 +85,14 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !          weights filename            ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_wndi     = 'u_10.15JUNE2009_fill'       ,    6         , 'U_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bicub.nc.nc'  , 'Uwnd'   , ''
-   sn_wndj     = 'v_10.15JUNE2009_fill'       ,    6         , 'V_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bicub.nc.nc'  , 'Vwnd'   , ''
-   sn_qsr      = 'ncar_rad.15JUNE2009_fill'   ,   24         , 'SWDN_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilinear.nc'  , ''       , ''
-   sn_qlw      = 'ncar_rad.15JUNE2009_fill'   ,   24         , 'LWDN_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilinear.nc'  , ''       , ''
-   sn_tair     = 't_10.15JUNE2009_fill'       ,    6         , 'T_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilinear.nc'  , ''       , ''
-   sn_humi     = 'q_10.15JUNE2009_fill'       ,    6         , 'Q_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilinear.nc'  , ''       , ''
-   sn_prec     = 'ncar_precip.15JUNE2009_fill',   -1         , 'PRC_MOD1',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilinear.nc'  , ''       , ''
-   sn_snow     = 'ncar_precip.15JUNE2009_fill',   -1         , 'SNOW'    ,   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilinear.nc'  , ''       , ''
-   sn_slp      = 'slp.15JUNE2009_fill'        ,    6         , 'SLP'     ,   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilinear.nc'  , ''       , ''
-   sn_tdif     = 'taudif_core'                ,   24         , 'taudif'  ,   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilinear.nc'  , ''       , ''
+   sn_wndi     = 'u_10.15JUNE2009_fill'       ,    6         , 'U_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bicub.nc'     , 'Uwnd'   , ''
+   sn_wndj     = 'v_10.15JUNE2009_fill'       ,    6         , 'V_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bicub.nc'     , 'Vwnd'   , ''
+   sn_qsr      = 'ncar_rad.15JUNE2009_fill'   ,   24         , 'SWDN_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'     , ''       , ''
+   sn_qlw      = 'ncar_rad.15JUNE2009_fill'   ,   24         , 'LWDN_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'     , ''       , ''
+   sn_tair     = 't_10.15JUNE2009_fill'       ,    6         , 'T_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'     , ''       , ''
+   sn_humi     = 'q_10.15JUNE2009_fill'       ,    6         , 'Q_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'     , ''       , ''
+   sn_prec     = 'ncar_precip.15JUNE2009_fill',   -1         , 'PRC_MOD1',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'     , ''       , ''
+   sn_snow     = 'ncar_precip.15JUNE2009_fill',   -1         , 'SNOW'    ,   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'  , ''       , ''
+   sn_slp      = 'slp.15JUNE2009_fill'        ,    6         , 'SLP'     ,   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'  , ''       , ''
+   sn_tdif     = 'taudif_core'                ,   24         , 'taudif'  ,   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'  , ''       , ''
 
 /
@@ -103,5 +103,5 @@
    ln_qsr_rgb  = .true.       !  RGB light penetration (Red-Green-Blue)
    !
-   nn_chldta   =      1       !  RGB : Chl data (=1) or cst value (=0)
+   nn_chldta   =      0       !  RGB : Chl data (=1) or cst value (=0)
 
    cn_dir      = './'      !  root directory for the chlorophyl data location
@@ -109,5 +109,5 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !          weights filename            ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_chl      ='chlorophyll'            ,        -1         , 'CHLA'    ,   .true.    , .true. , 'yearly'  ,'weights_core1_nordic1_bilin.nc'      , ''       , ''
+   sn_chl      ='chlorophyll'            ,        -1         , 'CHLA'    ,   .true.    , .true. , 'yearly'  , ''                                   , ''       , ''
 /
 !-----------------------------------------------------------------------
@@ -131,14 +131,14 @@
 !!               ***  Lateral boundary condition  ***                 !!
 !!                                                                    !!
-!!   namlbc        lateral momentum boundary condition                  (no slip)
+!!   namlbc        lateral momentum boundary condition                  (default: NO selection)
 !!   namagrif      agrif nested grid ( read by child model only )       ("key_agrif")
-!!   nam_tide      Tidal forcing                                        (default: NO)
-!!   nambdy        Unstructured open boundaries                         (default: NO)
+!!   nam_tide      Tidal forcing                                        (default: OFF)
+!!   nambdy        Unstructured open boundaries                         (default: OFF)
 !!   nambdy_dta    Unstructured open boundaries - external data         (see  nambdy)
-!!   nambdy_tide   tidal forcing at open boundaries                     (default: NO)
-!!======================================================================
-!
-!-----------------------------------------------------------------------
-&namlbc        !   lateral momentum boundary condition
+!!   nambdy_tide   tidal forcing at open boundaries                     (default: OFF)
+!!======================================================================
+!
+!-----------------------------------------------------------------------
+&namlbc        !   lateral momentum boundary condition                  (default: NO selection)
 !-----------------------------------------------------------------------
    rn_shlat    =    2.     !  no slip
@@ -155,5 +155,5 @@
 &namdrg        !   top/bottom drag coefficient                          (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_non_lin = .false.    !  non-linear  drag: Cd = Cd0 |U|
+   ln_non_lin = .true.    !  non-linear  drag: Cd = Cd0 |U|
 /
 !-----------------------------------------------------------------------
@@ -162,5 +162,5 @@
 /
 !-----------------------------------------------------------------------
-&nambbc        !   bottom temperature boundary condition                (default: NO)
+&nambbc        !   bottom temperature boundary condition                (default: OFF)
 !-----------------------------------------------------------------------
    ln_trabbc   = .true.    !  Apply a geothermal heating at the ocean bottom
@@ -168,5 +168,5 @@
 /
 !-----------------------------------------------------------------------
-&nambbl        !   bottom boundary layer scheme                         (default: NO)
+&nambbl        !   bottom boundary layer scheme                         (default: OFF)
 !-----------------------------------------------------------------------
    ln_trabbl   = .true.    !  Bottom Boundary Layer parameterisation flag
@@ -180,10 +180,10 @@
 !!                        Tracer (T & S) namelists                    !!
 !!                                                                    !!
-!!   nameos           equation of state                                 (default: NO selection)
-!!   namtra_adv       advection scheme                                  (default: NO selection)
-!!   namtra_adv_mle   mixed layer eddy param. (Fox-Kemper param.)       (default: NO)
-!!   namtra_ldf       lateral diffusion scheme                          (default: NO selection)
-!!   namtra_eiv       eddy induced velocity param.                      (default: NO)
-!!   namtra_dmp       T & S newtonian damping                           (default: NO)
+!!   nameos        equation of state                                    (default: NO selection)
+!!   namtra_adv    advection scheme                                     (default: NO selection)
+!!   namtra_ldf    lateral diffusion scheme                             (default: NO selection)
+!!   namtra_mle    mixed layer eddy param. (Fox-Kemper param.)          (default: OFF)
+!!   namtra_eiv    eddy induced velocity param.                         (default: OFF)
+!!   namtra_dmp    T & S newtonian damping                              (default: OFF)
 !!======================================================================
 !
@@ -200,5 +200,5 @@
 /
 !-----------------------------------------------------------------------
-&namtra_adv_mle !   mixed layer eddy parametrisation (Fox-Kemper)       (default: NO)
+&namtra_mle    !   mixed layer eddy parametrisation (Fox-Kemper)        (default: OFF)
 !-----------------------------------------------------------------------
    ln_mle      = .true.   ! (T) use the Mixed Layer Eddy (MLE) parameterisation
@@ -207,13 +207,13 @@
 &namtra_ldf    !   lateral diffusion scheme for tracers                 (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_traldf_NONE  =  .true.  !           No operator (no explicit advection)
-/
-!-----------------------------------------------------------------------
-&namtra_eiv    !   eddy induced velocity param.                         (default: NO)
+   ln_traldf_OFF   =  .true.  !           No operator (no explicit advection)
+/
+!-----------------------------------------------------------------------
+&namtra_eiv    !   eddy induced velocity param.                         (default: OFF)
 !-----------------------------------------------------------------------
    !  not used in this zoom
 /
 !-----------------------------------------------------------------------
-&namtra_dmp    !   tracer: T & S newtonian damping                      (default: NO)
+&namtra_dmp    !   tracer: T & S newtonian damping                      (default: OFF)
 !-----------------------------------------------------------------------
    !  not used in this zoom
@@ -259,5 +259,5 @@
 &namdyn_ldf    !   lateral diffusion on momentum                        (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_dynldf_NONE=  .true.    !  No operator (i.e. no explicit diffusion)
+   ln_dynldf_OFF =  .true.    !  No operator (i.e. no explicit diffusion)
 /
 
@@ -302,14 +302,14 @@
 !!                  ***  Diagnostics namelists  ***                   !!
 !!                                                                    !!
-!!   namtrd       dynamics and/or tracer trends                         (default NO)
-!!   namptr       Poleward Transport Diagnostics                        (default NO)
-!!   namhsb       Heat and salt budgets                                 (default NO)
-!!   namdiu       Cool skin and warm layer models                       (default NO)
-!!   namdiu       Cool skin and warm layer models                       (default NO)
+!!   namtrd       dynamics and/or tracer trends                         (default: OFF)
+!!   namptr       Poleward Transport Diagnostics                        (default: OFF)
+!!   namhsb       Heat and salt budgets                                 (default: OFF)
+!!   namdiu       Cool skin and warm layer models                       (default: OFF)
+!!   namdiu       Cool skin and warm layer models                       (default: OFF)
 !!   namflo       float parameters                                      ("key_float")
 !!   nam_diaharm  Harmonic analysis of tidal constituents               ("key_diaharm")
 !!   namdct       transports through some sections                      ("key_diadct")
-!!   nam_diatmb   Top Middle Bottom Output                              (default NO)
-!!   nam_dia25h   25h Mean Output                                       (default NO)
+!!   nam_diatmb   Top Middle Bottom Output                              (default: OFF)
+!!   nam_dia25h   25h Mean Output                                       (default: OFF)
 !!   namnc4       netcdf4 chunking and compression settings             ("key_netcdf4")
 !!======================================================================
@@ -319,5 +319,5 @@
 !!               ***  Observation & Assimilation  ***                 !!
 !!                                                                    !!
-!!   namobs       observation and model comparison                      (default: NO)
+!!   namobs       observation and model comparison                      (default: OFF)
 !!   nam_asminc   assimilation increments                               ('key_asminc')
 !!======================================================================