Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/ddatetoymdhms.h90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/ddatetoymdhms.h90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/ddatetoymdhms.h90	(revision 9570)
@@ -1,4 +1,4 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/diaobs.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/diaobs.F90	(revision 9570)
@@ -97,5 +97,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
@@ -324,5 +324,5 @@
                &                  lfpindegs, llnightav )
          ENDIF
-#if defined key_lim3 || defined key_cice
+#if defined key_si3 || defined key_cice
          IF( ln_sic ) THEN
             jtype = jtype + 1
@@ -500,5 +500,5 @@
       USE oce    , ONLY : tsn, un, vn, sshn   ! Ocean dynamics and tracers variables
       USE phycst , ONLY : rday                ! Physical constants
-#if defined  key_lim3
+#if defined  key_si3
       USE ice    , ONLY : at_i                ! LIM3 Ice model variables
 #endif
@@ -611,5 +611,5 @@
                   CYCLE
                ELSE
-#if defined key_cice || defined key_lim3
+#if defined key_cice || defined key_si3
                   zsurfvar(:,:) = fr_i(:,:)
 #else
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/find_obs_proc.h90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/find_obs_proc.h90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/find_obs_proc.h90	(revision 9570)
@@ -1,4 +1,4 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/grt_cir_dis.h90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/grt_cir_dis.h90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/grt_cir_dis.h90	(revision 9570)
@@ -1,4 +1,4 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/grt_cir_dis_saa.h90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/grt_cir_dis_saa.h90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/grt_cir_dis_saa.h90	(revision 9570)
@@ -1,4 +1,4 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/linquad.h90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/linquad.h90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/linquad.h90	(revision 9570)
@@ -1,4 +1,4 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/maxdist.h90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/maxdist.h90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/maxdist.h90	(revision 9570)
@@ -1,4 +1,4 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/mpp_map.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/mpp_map.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/mpp_map.F90	(revision 9570)
@@ -14,5 +14,5 @@
    USE dom_oce , ONLY :   mig, mjg, nldi, nlei, nldj, nlej, nlci, nlcj, narea   ! Ocean space and time domain variables
 #if defined key_mpp_mpi
-   USE lib_mpp, ONLY :   mpi_comm_opa   ! MPP library
+   USE lib_mpp, ONLY :   mpi_comm_oce   ! MPP library
 #endif
    USE in_out_manager   ! I/O manager
@@ -26,5 +26,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
@@ -73,5 +73,5 @@
       ! Call the MPI library to find the max across processors
       CALL mpi_allreduce( imppmap, mppmap, jpiglo*jpjglo, mpi_integer,   &
-         &                mpi_max, mpi_comm_opa, ierr )
+         &                mpi_max, mpi_comm_oce, ierr )
 #else      
       
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_averg_h2d.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_averg_h2d.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_averg_h2d.F90	(revision 9570)
@@ -44,5 +44,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id: obs_averg_h2d.F90 2715 2011-03-30 15:58:35Z rblod $
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_const.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_const.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_const.F90	(revision 9570)
@@ -5,5 +5,5 @@
    !!===================================================================== 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_conv.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_conv.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_conv.F90	(revision 9570)
@@ -35,5 +35,5 @@
    
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_conv_functions.h90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_conv_functions.h90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_conv_functions.h90	(revision 9570)
@@ -1,4 +1,4 @@
     !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_fbm.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_fbm.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_fbm.F90	(revision 9570)
@@ -128,5 +128,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_grid.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_grid.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_grid.F90	(revision 9570)
@@ -86,5 +86,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_inter_h2d.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_inter_h2d.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_inter_h2d.F90	(revision 9570)
@@ -47,5 +47,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_inter_sup.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_inter_sup.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_inter_sup.F90	(revision 9570)
@@ -27,5 +27,5 @@
    
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_inter_z1d.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_inter_z1d.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_inter_z1d.F90	(revision 9570)
@@ -25,5 +25,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_level_search.h90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_level_search.h90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_level_search.h90	(revision 9570)
@@ -1,4 +1,4 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_mpp.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_mpp.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_mpp.F90	(revision 9570)
@@ -22,5 +22,5 @@
    USE in_out_manager
 #if defined key_mpp_mpi
-   USE lib_mpp, ONLY :   mpi_comm_opa      ! MPP library
+   USE lib_mpp, ONLY :   mpi_comm_oce      ! MPP library
 #endif
    IMPLICIT NONE
@@ -38,5 +38,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
@@ -53,5 +53,5 @@
       !!
       !! ** Action  : This does only work for MPI. 
-      !!              MPI_COMM_OPA needs to be replace for OASIS4.!
+      !!              MPI_COMM_OCE needs to be replace for OASIS4.!
       !!
       !! References : http://www.mpi-forum.org
@@ -70,5 +70,5 @@
       ! Call the MPI library to broadcast data
       CALL mpi_bcast( kvals, kno, mpi_integer,  &
-         &            kroot, mpi_comm_opa, ierr )
+         &            kroot, mpi_comm_oce, ierr )
 #else
       ! no MPI: empty routine
@@ -88,5 +88,5 @@
       !! ** Action  : This does only work for MPI. 
       !!              It does not work for SHMEM.
-      !!              MPI_COMM_OPA needs to be replace for OASIS4.!
+      !!              MPI_COMM_OCE needs to be replace for OASIS4.!
       !!
       !! References : http://www.mpi-forum.org
@@ -105,5 +105,5 @@
       ! Call the MPI library to find the maximum across processors
       CALL mpi_allreduce( kvals, ivals, kno, mpi_integer,   &
-         &                mpi_max, mpi_comm_opa, ierr )
+         &                mpi_max, mpi_comm_oce, ierr )
       kvals(:) = ivals(:)
 #else
@@ -203,5 +203,5 @@
       !-----------------------------------------------------------------------
       CALL mpi_allreduce( kvalsin, kvalsout, kno, mpi_integer, &
-         &                mpi_sum, mpi_comm_opa, ierr )
+         &                mpi_sum, mpi_comm_oce, ierr )
 #else
       !-----------------------------------------------------------------------
@@ -241,5 +241,5 @@
       !-----------------------------------------------------------------------
       CALL mpi_allreduce( kvalin, kvalout, 1, mpi_integer,   &
-         &                mpi_sum, mpi_comm_opa, ierr )
+         &                mpi_sum, mpi_comm_oce, ierr )
 #else
       !-----------------------------------------------------------------------
@@ -286,5 +286,5 @@
 
       CALL mpi_allreduce( zcp, pval, jpiglo*jpjglo, mpivar, &
-         &                mpi_max, mpi_comm_opa, ierr )
+         &                mpi_max, mpi_comm_oce, ierr )
 
       DEALLOCATE( &
@@ -326,5 +326,5 @@
       CALL mpi_alltoall( kvalsin,  kno, mpi_integer, &
          &               kvalsout, kno, mpi_integer, &
-         &               mpi_comm_opa, ierr )
+         &               mpi_comm_oce, ierr )
 #else
       !-----------------------------------------------------------------------
@@ -378,5 +378,5 @@
       CALL mpi_alltoallv( kvalsin,  kinv,  isdsp, mpi_integer, &
          &                kvalsout, koutv, irdsp, mpi_integer, &
-         &                mpi_comm_opa, ierr )
+         &                mpi_comm_oce, ierr )
 #else
       !-----------------------------------------------------------------------
@@ -432,5 +432,5 @@
       CALL mpi_alltoallv( pvalsin,  kinv,  isdsp, mpivar, &
          &                pvalsout, koutv, irdsp, mpivar, &
-         &                mpi_comm_opa, ierr )
+         &                mpi_comm_oce, ierr )
 #else
       !-----------------------------------------------------------------------
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_oper.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_oper.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_oper.F90	(revision 9570)
@@ -32,5 +32,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 4.0 , NEMO Consortium (2018)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_prep.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_prep.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_prep.F90	(revision 9570)
@@ -34,5 +34,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_profiles.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_profiles.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_profiles.F90	(revision 9570)
@@ -6,5 +6,5 @@
    !!=====================================================================
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_profiles_def.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_profiles_def.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_profiles_def.F90	(revision 9570)
@@ -190,5 +190,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_read_altbias.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_read_altbias.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_read_altbias.F90	(revision 9570)
@@ -42,5 +42,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_read_prof.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_read_prof.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_read_prof.F90	(revision 9570)
@@ -36,5 +36,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_read_surf.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_read_surf.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_read_surf.F90	(revision 9570)
@@ -31,5 +31,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id: obs_read_surf.F90 4990 2014-12-15 16:42:49Z timgraham $
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_readmdt.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_readmdt.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_readmdt.F90	(revision 9570)
@@ -38,5 +38,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_rot_vel.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_rot_vel.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_rot_vel.F90	(revision 9570)
@@ -29,5 +29,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_sort.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_sort.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_sort.F90	(revision 9570)
@@ -21,5 +21,5 @@
   
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_surf_def.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_surf_def.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_surf_def.F90	(revision 9570)
@@ -114,5 +114,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_types.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_types.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_types.F90	(revision 9570)
@@ -48,5 +48,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_utils.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_utils.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_utils.F90	(revision 9570)
@@ -35,5 +35,5 @@
          
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_write.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obs_write.F90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obs_write.F90	(revision 9570)
@@ -47,5 +47,5 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obsinter_h2d.h90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obsinter_h2d.h90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obsinter_h2d.h90	(revision 9570)
@@ -1,4 +1,4 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obsinter_z1d.h90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/obsinter_z1d.h90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/obsinter_z1d.h90	(revision 9570)
@@ -1,4 +1,4 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/str_c_to_for.h90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/OBS/str_c_to_for.h90	(revision 9523)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OCE_SRC/OBS/str_c_to_for.h90	(revision 9570)
@@ -1,4 +1,4 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
    !! $Id$
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)