Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn.F90	(revision 9578)
@@ -150,4 +150,5 @@
 CONTAINS
    SUBROUTINE bdy_dyn( kt )      ! Empty routine
+   IMPLICIT NONE
       INTEGER, INTENT( in )           :: kt               ! Main time step counter
       WRITE(*,*) 'bdy_dyn: You should not have seen this print! error?', kt
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdydyn3d.F90	(revision 9578)
@@ -309,4 +309,5 @@
 CONTAINS
    SUBROUTINE bdy_dyn3d( kt )      ! Empty routine
+   IMPLICIT NONE
     INTEGER, INTENT( in ) :: kt     ! Main time step counter
     WRITE(*,*) 'bdy_dyn3d: You should not have seen this print! error?', kt
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 9578)
@@ -611,7 +611,9 @@
 CONTAINS
    SUBROUTINE bdytide_init             ! Empty routine
+   IMPLICIT NONE
       WRITE(*,*) 'bdytide_init: You should not have seen this print! error?'
    END SUBROUTINE bdytide_init
    SUBROUTINE bdytide_update( kt, jit )   ! Empty routine
+   IMPLICIT NONE
       INTEGER, INTENT( in )            ::   kt          ! Main timestep counter
       INTEGER,INTENT(in),OPTIONAL      ::   jit         ! Barotropic timestep counter (for timesplitting option)
@@ -619,4 +621,5 @@
    END SUBROUTINE bdytide_update
    SUBROUTINE bdy_dta_tides( kt, kit, time_offset )     ! Empty routine
+   IMPLICIT NONE
       INTEGER, INTENT( in )            ::   kt          ! Dummy argument empty routine      
       INTEGER, INTENT( in ),OPTIONAL   ::   kit         ! Dummy argument empty routine
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdytra.F90	(revision 9578)
@@ -319,4 +319,5 @@
 CONTAINS
    SUBROUTINE bdy_tra(kt)      ! Empty routine
+   IMPLICIT NONE
       INTEGER, INTENT( in ) :: kt     ! Main time step counter   
       WRITE(*,*) 'bdy_tra: You should not have seen this print! error?', kt
@@ -324,4 +325,5 @@
 
    SUBROUTINE bdy_tra_dmp(kt)      ! Empty routine
+   IMPLICIT NONE
       INTEGER, INTENT( in ) :: kt     ! Main time step counter   
       WRITE(*,*) 'bdy_tra_dmp: You should not have seen this print! error?', kt
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 9578)
@@ -178,4 +178,5 @@
 CONTAINS
    SUBROUTINE bdy_vol( kt )        ! Empty routine
+   IMPLICIT NONE
       INTEGER, INTENT( in ) ::   kt   ! ocean time-step index
       WRITE(*,*) 'bdy_vol: You should not have seen this print! error?', kt
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/C1D/dyncor_c1d.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/C1D/dyncor_c1d.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/C1D/dyncor_c1d.F90	(revision 9578)
@@ -116,6 +116,9 @@
 CONTAINS
    SUBROUTINE cor_c1d              ! Empty routine
+   IMPLICIT NONE
    END SUBROUTINE cor_c1d   
+   
    SUBROUTINE dyn_cor_c1d ( kt )      ! Empty routine
+   IMPLICIT NONE
       INTEGER, INTENT( in ) ::   kt   ! ocean time-step index   
       WRITE(*,*) 'dyn_cor_c1d: You should not have seen this print! error?', kt
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/C1D/step_c1d.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/C1D/step_c1d.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/C1D/step_c1d.F90	(revision 9578)
@@ -166,4 +166,5 @@
 CONTAINS
    SUBROUTINE stp_c1d ( kstp )      ! dummy routine
+   IMPLICIT NONE
    INTEGER, INTENT(in) ::   kstp   ! ocean time-step index
       WRITE(*,*) 'stp_c1d: You should not have seen this print! error?', kstp
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 9578)
@@ -1302,8 +1302,10 @@
 
    SUBROUTINE dia_dct_init          ! Dummy routine
+   IMPLICIT NONE
       WRITE(*,*) 'dia_dct_init: You should not have seen this print! error?'
    END SUBROUTINE dia_dct_init
 
    SUBROUTINE dia_dct( kt )         ! Dummy routine
+   IMPLICIT NONE
       INTEGER, INTENT( in ) :: kt   ! ocean time-step index
       WRITE(*,*) 'dia_dct: You should not have seen this print! error?', kt
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90	(revision 9578)
@@ -343,4 +343,5 @@
 CONTAINS
    SUBROUTINE dia_hth( kt )         ! Empty routine
+   IMPLICIT NONE
     INTEGER, INTENT( in ) ::   kt      ! ocean time-step index
     WRITE(*,*) 'dia_hth: You should not have seen this print! error?', kt
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_exp.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_exp.F90	(revision 9578)
@@ -107,4 +107,5 @@
 CONTAINS
    SUBROUTINE dyn_spg_exp( kt )       ! Empty routine
+   IMPLICIT NONE
       INTEGER, INTENT(in)  ::   kt   ! ocean time-step index  
       WRITE(*,*) 'dyn_spg_exp: You should not have seen this print! error?', kt
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90	(revision 9578)
@@ -146,4 +146,5 @@
 CONTAINS
    SUBROUTINE flo_stp( kt )          ! Empty routine
+   IMPLICIT NONE
       INTEGER, INTENT( in  ) ::   kt   ! ocean time step   
       WRITE(*,*) 'flo_stp: You should not have seen this print! error?', kt
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_smag.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_smag.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn_smag.F90	(revision 9578)
@@ -294,4 +294,5 @@
 CONTAINS
    SUBROUTINE ldf_dyn_smag( kt )       ! Empty routine
+   IMPLICIT NONE
       INTEGER :: kt                    ! timestep   
       WRITE(*,*) 'ldf_dyn_smag: You should not have seen this print! error? check keys ldf:c3d+smag', kt
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_smag.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_smag.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra_smag.F90	(revision 9578)
@@ -204,4 +204,5 @@
 CONTAINS
    SUBROUTINE ldf_tra_smag( kt )       ! Empty routine
+   IMPLICIT NONE
         INTEGER, INTENT( in ) ::   kt  ! ocean time-step inedx
         WRITE(*,*) 'ldf_dyn_smag: You should not have seen this print! error? check keys ldf:c3d+smag', kt
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 9578)
@@ -648,4 +648,5 @@
 CONTAINS
    SUBROUTINE sbc_ice_lim ( kt, kblk )     ! Dummy routine
+   IMPLICIT NONE
       INTEGER, INTENT(in) ::   kt      ! ocean time step
       INTEGER, INTENT(in) ::   kblk    ! type of bulk (=3 CLIO, =4 CORE, =5 COUPLED)
@@ -653,4 +654,5 @@
    END SUBROUTINE sbc_ice_lim
    SUBROUTINE sbc_lim_init                 ! Dummy routine
+   IMPLICIT NONE
    END SUBROUTINE sbc_lim_init
 #endif
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 9578)
@@ -1231,11 +1231,16 @@
 CONTAINS
    SUBROUTINE zdf_gls_init           ! Empty routine
+   IMPLICIT NONE
       WRITE(*,*) 'zdf_gls_init: You should not have seen this print! error?'
    END SUBROUTINE zdf_gls_init
+   
    SUBROUTINE zdf_gls( kt )          ! Empty routine
+   IMPLICIT NONE
       INTEGER, INTENT(in) ::   kt ! ocean time step   
       WRITE(*,*) 'zdf_gls: You should not have seen this print! error?', kt
    END SUBROUTINE zdf_gls
+   
    SUBROUTINE gls_rst( kt, cdrw )          ! Empty routine
+   IMPLICIT NONE
       INTEGER         , INTENT(in) ::   kt         ! ocean time-step
       CHARACTER(len=*), INTENT(in) ::   cdrw       ! "READ"/"WRITE" flag
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 9578)
@@ -1576,15 +1576,19 @@
 CONTAINS
    SUBROUTINE zdf_kpp_init           ! Dummy routine
+   IMPLICIT NONE
       WRITE(*,*) 'zdf_kpp_init: You should not have seen this print! error?'
    END SUBROUTINE zdf_kpp_init
    SUBROUTINE zdf_kpp( kt )          ! Dummy routine
+   IMPLICIT NONE
       INTEGER, INTENT( in  ) ::   kt   ! ocean time step
       WRITE(*,*) 'zdf_kpp: You should not have seen this print! error?', kt
    END SUBROUTINE zdf_kpp
    SUBROUTINE tra_kpp( kt )          ! Dummy routine
+   IMPLICIT NONE
       INTEGER, INTENT( in  ) ::   kt   ! ocean time step
       WRITE(*,*) 'tra_kpp: You should not have seen this print! error?', kt
    END SUBROUTINE tra_kpp
    SUBROUTINE trc_kpp( kt )          ! Dummy routine
+   IMPLICIT NONE
       INTEGER, INTENT( in  ) ::   kt   ! ocean time step
       WRITE(*,*) 'trc_kpp: You should not have seen this print! error?', kt
Index: /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90
===================================================================
--- /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 9577)
+++ /branches/UKMO/dev_r5518_GO6_package_rigorous_compile_fix/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 9578)
@@ -307,6 +307,8 @@
 CONTAINS
    SUBROUTINE zdf_ric_init         ! Dummy routine
+   IMPLICIT NONE
    END SUBROUTINE zdf_ric_init
    SUBROUTINE zdf_ric( kt )        ! Dummy routine
+   IMPLICIT NONE
       INTEGER, INTENT( in ) ::   kt                           ! ocean time-step
       WRITE(*,*) 'zdf_ric: You should not have seen this print! error?', kt