Index: NEMO/trunk/src/OCE/OBS/ddatetoymdhms.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/ddatetoymdhms.h90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/ddatetoymdhms.h90	(revision 9598)
@@ -1,6 +1,6 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/diaobs.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/diaobs.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/diaobs.F90	(revision 9598)
@@ -97,7 +97,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/trunk/src/OCE/OBS/find_obs_proc.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/find_obs_proc.h90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/find_obs_proc.h90	(revision 9598)
@@ -1,6 +1,6 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/grt_cir_dis.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/grt_cir_dis.h90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/grt_cir_dis.h90	(revision 9598)
@@ -1,6 +1,6 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/grt_cir_dis_saa.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/grt_cir_dis_saa.h90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/grt_cir_dis_saa.h90	(revision 9598)
@@ -1,6 +1,6 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/linquad.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/linquad.h90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/linquad.h90	(revision 9598)
@@ -1,6 +1,6 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/maxdist.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/maxdist.h90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/maxdist.h90	(revision 9598)
@@ -1,6 +1,6 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/mpp_map.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/mpp_map.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/mpp_map.F90	(revision 9598)
@@ -26,7 +26,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/trunk/src/OCE/OBS/obs_averg_h2d.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_averg_h2d.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_averg_h2d.F90	(revision 9598)
@@ -44,7 +44,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id: obs_averg_h2d.F90 2715 2011-03-30 15:58:35Z rblod $
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_const.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_const.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_const.F90	(revision 9598)
@@ -5,7 +5,7 @@
    !!===================================================================== 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_conv.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_conv.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_conv.F90	(revision 9598)
@@ -35,7 +35,7 @@
    
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_conv_functions.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_conv_functions.h90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_conv_functions.h90	(revision 9598)
@@ -1,6 +1,6 @@
     !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_fbm.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_fbm.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_fbm.F90	(revision 9598)
@@ -128,7 +128,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_grid.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_grid.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_grid.F90	(revision 9598)
@@ -86,7 +86,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_inter_h2d.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_inter_h2d.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_inter_h2d.F90	(revision 9598)
@@ -47,7 +47,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_inter_sup.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_inter_sup.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_inter_sup.F90	(revision 9598)
@@ -27,7 +27,7 @@
    
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_inter_z1d.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_inter_z1d.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_inter_z1d.F90	(revision 9598)
@@ -25,7 +25,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_level_search.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_level_search.h90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_level_search.h90	(revision 9598)
@@ -1,6 +1,6 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_mpp.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_mpp.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_mpp.F90	(revision 9598)
@@ -38,7 +38,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/trunk/src/OCE/OBS/obs_oper.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_oper.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_oper.F90	(revision 9598)
@@ -34,5 +34,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/trunk/src/OCE/OBS/obs_prep.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_prep.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_prep.F90	(revision 9598)
@@ -34,7 +34,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_profiles.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_profiles.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_profiles.F90	(revision 9598)
@@ -6,7 +6,7 @@
    !!=====================================================================
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_profiles_def.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_profiles_def.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_profiles_def.F90	(revision 9598)
@@ -190,7 +190,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_read_altbias.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_read_altbias.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_read_altbias.F90	(revision 9598)
@@ -42,7 +42,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_read_prof.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_read_prof.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_read_prof.F90	(revision 9598)
@@ -36,7 +36,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_read_surf.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_read_surf.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_read_surf.F90	(revision 9598)
@@ -31,7 +31,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id: obs_read_surf.F90 4990 2014-12-15 16:42:49Z timgraham $
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_readmdt.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_readmdt.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_readmdt.F90	(revision 9598)
@@ -38,7 +38,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/trunk/src/OCE/OBS/obs_rot_vel.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_rot_vel.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_rot_vel.F90	(revision 9598)
@@ -29,7 +29,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_sort.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_sort.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_sort.F90	(revision 9598)
@@ -21,7 +21,7 @@
   
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_surf_def.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_surf_def.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_surf_def.F90	(revision 9598)
@@ -114,7 +114,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_types.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_types.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_types.F90	(revision 9598)
@@ -48,7 +48,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_utils.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_utils.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_utils.F90	(revision 9598)
@@ -35,7 +35,7 @@
          
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_write.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_write.F90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obs_write.F90	(revision 9598)
@@ -47,7 +47,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obsinter_h2d.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obsinter_h2d.h90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obsinter_h2d.h90	(revision 9598)
@@ -1,6 +1,6 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obsinter_z1d.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obsinter_z1d.h90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/obsinter_z1d.h90	(revision 9598)
@@ -1,6 +1,6 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/str_c_to_for.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/str_c_to_for.h90	(revision 9596)
+++ NEMO/trunk/src/OCE/OBS/str_c_to_for.h90	(revision 9598)
@@ -1,6 +1,6 @@
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 3.3 , NEMO Consortium (2010)
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence (./LICENSE)
    !!----------------------------------------------------------------------
 